Index: loader/g7/resetcode/makefile.inc.new
===================================================================
--- loader/g7/resetcode/makefile.inc.new	(Revision 0)
+++ loader/g7/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/g7/makefile.inc.new
===================================================================
--- loader/g7/makefile.inc.new	(Revision 0)
+++ loader/g7/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: loader/makefile.inc.new
===================================================================
--- loader/makefile.inc.new	(Revision 0)
+++ loader/makefile.inc.new	(Revision 0)
@@ -0,0 +1,16 @@
+
+
+
+LOCAL_SUBDIRS:=$(PLATFORM)
+
+$(eval $(call gen-rule, loader-clean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-loader-clean), ))
+
+$(eval $(call gen-rule, loader-distclean, $(foreach lsub,$(LOCAL_SUBDIRS),$(lsub)-loader-distclean), ))
+
+LOCAL_SUBDIRS:=$(call subdirize,$(LOCAL_SUBDIRS) )
+
+$(foreach subdir,$(LOCAL_SUBDIRS),$(eval include $(subdir)/makefile.inc.new) )
+
+# vim: ft=make
+
+
Index: loader/a590/resetcode/makefile.inc.new
===================================================================
--- loader/a590/resetcode/makefile.inc.new	(Revision 0)
+++ loader/a590/resetcode/makefile.inc.new	(Revision 0)
@@ -0,0 +1,6 @@
+
+# warning: library order matters!
+
+include $(TOPDIR)/loader/makefile_resetcode.inc.new
+
+# vim: ft=make
Index: loader/a590/makefile.inc.new
===================================================================
--- loader/a590/makefile.inc.new	(Revision 0)
+++ loader/a590/makefile.inc.new	(Revision 0)
@@ -0,0 +1,4 @@
+
+include $(TOPDIR)/loader/makefile_generic.inc.new
+
+# vim: ft=make
Index: makenewcam
===================================================================
--- makenewcam	(Revision 0)
+++ makenewcam	(Revision 0)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+SRCCAM=ixus950_sd850
+SRCSUB=100c
+NEWCAM=$1
+if [[ -z "$NEWCAM" ]]
+then
+  echo "Need cam as parameter"
+  exit 1
+fi
+
+if [[ ! -d "platform/$NEWCAM" ]]
+then
+    echo "Platform dir does not exist"
+    exit 1
+fi
+
+set +x
+cp -i platform/$SRCCAM/makefile.inc.new platform/$NEWCAM/
+for dir in platform/$NEWCAM/sub/*
+do
+    if [[ -d "$dir" ]]
+    then
+	cp -i platform/$SRCCAM/sub/$SRCSUB/makefile.inc.new $dir/
+    fi
+done
+cp -i loader/$SRCCAM/resetcode/makefile.inc.new loader/$NEWCAM/resetcode/
+cp -i loader/$SRCCAM/makefile.inc.new loader/$NEWCAM/

Eigenschaftsänderungen: makenewcam
___________________________________________________________________
Hinzugefügt: svn:executable
   + *

